This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1470868 - [RFE] Timestamp shown for "Retiring soon" filter should be simplified
[RFE] Timestamp shown for "Retiring soon" filter should be simplified
Status: ON_QA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.9.0
Assigned To: Allen W
Shveta
ssui
: FutureFeature, RFE
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 17:27 EDT by Shveta
Modified: 2017-10-16 14:42 EDT (History)
5 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
timestamp (53.38 KB, image/png)
2017-07-13 17:27 EDT, Shveta
no flags Details

  None (edit)
Description Shveta 2017-07-13 17:27:12 EDT
Created attachment 1297880 [details]
timestamp

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. As in attached screenshot , the timestamp shows lot of digits .
2. Retiring a service does not show in "retiring soon" page.
3. 

Actual results:


Expected results:


Additional info:
Comment 2 Allen W 2017-07-14 12:35:04 EDT
Hmm looking into this presently, its an ang-pf thing, for tags to support an alias value (in addition to the filter value) I anticipate a similar ask might happen here: https://github.com/ManageIQ/manageiq-ui-service/pull/840
Comment 3 Allen W 2017-07-14 13:59:59 EDT
So I think this is possible to do, gonna get on it sooner rather than later in support of the aforementioned pr.
Comment 4 Chris Kacerguis 2017-07-17 08:05:00 EDT
A Pivotal Tracker story has been created for this Bug: https://www.pivotaltracker.com/story/show/148992591
Comment 5 Chris Kacerguis 2017-07-17 08:05:30 EDT
Allen added a comment in Pivotal Tracker:   
   
Blocked without a little bit help from the other repos
Comment 6 Allen W 2017-07-28 11:14:20 EDT
Retouching what was said in pt, we need support for filter aliases, something I'll be working on in patternfly in the nearish future
Comment 7 Chris Kacerguis 2017-08-24 09:32:43 EDT
Allen added a comment in Pivotal Tracker:   
   
not blocked, cuz now we have alias support!
Comment 8 Chris Kacerguis 2017-08-24 09:44:23 EDT
Allen added a comment in Pivotal Tracker:   
   
BUUUUUT we would first need that pr that has the alias work in it... in here...
Comment 10 Chris Kacerguis 2017-08-29 17:53:05 EDT
Chris Kacerguis added a comment in Pivotal Tracker:   
   
Commit by Allen Wight
https://github.com/ManageIQ/manageiq-ui-service/commit/3ea65979b75fca3d7938bcdc4184b788220af997

[Finishes #148992591] Adds filter alias to dashboard retirement buttons

Note You need to log in before you can comment on or make changes to this bug.